package jp.bne.deno.ordermaid;

import java.awt.Desktop;
import java.net.URI;

public class WinstoneLauncher {
	public static void main(String[] args) throws Exception {
		try {
			// 先に起動しているコンテナがあれば停止する。
			winstone.tools.WinstoneControl.main(new String[] { "shutdown",
					"--port=8081" });
		} catch (Throwable e) {

		}
		String[] args2 = new String[8];
		// プロジェクトのトップディレクトリをWebアプリのRootにする
		args2[0] = "--webroot=.";
		// コンテナ停止用コントロールポートは8081に設定
		args2[1] = "--controlPort=8081";
		// テスト用DBサーバの接続設定。本番ではAPサーバ側で設定する。
		args2[2] = "--useJNDI=true";
		args2[3] = "--jndi.resource.jdbc/order3=javax.sql.DataSource";
		args2[4] = "--jndi.param.jdbc/order3.driverClassName=org.h2.Driver";
		args2[5] = "--jndi.param.jdbc/order3.url=jdbc:h2:mem:order3";
		args2[6] = "--jndi.param.jdbc/order3.username=sa";
		args2[7] = "--jndi.param.jdbc/order3.password=";
		winstone.Launcher.main(args2);
		Desktop.getDesktop().browse(new URI("http://localhost:8080/"));
	}

}
